# trgt_imagemagick.cpp File Reference

ppm Target Module More...

`#include <ETL/stringf>`
`#include "trgt_imagemagick.h"`
`#include <stdio.h>`
`#include <sys/types.h>`
`#include <unistd.h>`
`#include <algorithm>`
`#include <functional>`
`#include <ETL/clock>`
`#include <ETL/misc>`

## Defines

#define | SYNFIG_TARGET
#define | WIN32_PIPE_TO_PROCESSES

## Functions

| SYNFIG_TARGET_INIT (imagemagick_trgt)
| SYNFIG_TARGET_SET_NAME (imagemagick_trgt,"imagemagick")
| SYNFIG_TARGET_SET_EXT (imagemagick_trgt,"miff")
| SYNFIG_TARGET_SET_VERSION (imagemagick_trgt,"0.1")
| SYNFIG_TARGET_SET_CVS_ID (imagemagick_trgt,"$Id$")

## Detailed Description

ppm Target Module

=== N O T E S ===========================================================

=========================================================================

## Define Documentation

#define SYNFIG_TARGET

#define WIN32_PIPE_TO_PROCESSES

## Function Documentation

SYNFIG_TARGET_INIT | ( | imagemagick_trgt |  | ) |

SYNFIG_TARGET_SET_NAME | ( | imagemagick_trgt | ,
|  | "imagemagick" |  |
| ) |  |  |

SYNFIG_TARGET_SET_EXT | ( | imagemagick_trgt | ,
|  | "miff" |  |
| ) |  |  |

SYNFIG_TARGET_SET_VERSION | ( | imagemagick_trgt | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_TARGET_SET_CVS_ID | ( | imagemagick_trgt | ,
|  | "$Id$" |  |
| ) |  |  |